NX Open C++ Reference Guide
|
Represents a Form Task builder <br> To create a new instance of this class, use @link Tooling::AutoDieCollection::CreateDieEngFormTaskBuilder Tooling::AutoDieCollection::CreateDieEngFormTaskBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Direction * | CamDirection () |
Returns the cam direction. | |
NXOpen::Features::SelectFeature * | DieTip () |
Returns the die tip selection. | |
bool | FinishOperation () |
Returns the finish operation option. | |
std::vector< NXString > | GetDetails () |
Returns the detailed information of the feature set by user. | |
NXOpen::Point * | PointInRegion () |
Returns the point in region Created in NX8.0.0. | |
NXOpen::ScCollector * | RegionBounds () |
Returns the edge region bounds Created in NX8.0.0. | |
void | SetCamDirection (NXOpen::Direction *camDirection) |
Sets the cam direction. | |
void | SetDetails (const std::vector< NXString > &details) |
Sets the detailed information of the feature. | |
void | SetFinishOperation (bool finishOperation) |
Sets the finish operation option. | |
void | SetPointInRegion (NXOpen::Point *pointInRegion) |
Sets the point in region Created in NX8.0.0. | |
NXOpen::SelectDisplayableObjectList * | ShapeDetail () |
Returns the shape detail selection. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Form Task builder <br> To create a new instance of this class, use @link Tooling::AutoDieCollection::CreateDieEngFormTaskBuilder Tooling::AutoDieCollection::CreateDieEngFormTaskBuilder @endlink <br>
Default values.
Property | Value |
---|---|
FinishOperation |
1 |
Created in NX8.0.0.
NXOpen::Direction* NXOpen::Tooling::DieEngFormTaskBuilder::CamDirection | ( | ) |
Returns the cam direction.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::SelectFeature* NXOpen::Tooling::DieEngFormTaskBuilder::DieTip | ( | ) |
Returns the die tip selection.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::DieEngFormTaskBuilder::FinishOperation | ( | ) |
Returns the finish operation option.
Created in NX8.0.0.
License requirements : None
std::vector<NXString> NXOpen::Tooling::DieEngFormTaskBuilder::GetDetails | ( | ) |
Returns the detailed information of the feature set by user.
NXOpen::Point* NXOpen::Tooling::DieEngFormTaskBuilder::PointInRegion | ( | ) |
Returns the point in region
Created in NX8.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::DieEngFormTaskBuilder::RegionBounds | ( | ) |
Returns the edge region bounds
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::DieEngFormTaskBuilder::SetCamDirection | ( | NXOpen::Direction * | camDirection | ) |
Sets the cam direction.
Created in NX8.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
camDirection | camdirection |
void NXOpen::Tooling::DieEngFormTaskBuilder::SetDetails | ( | const std::vector< NXString > & | details | ) |
Sets the detailed information of the feature.
Created in NX8.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
details | details |
void NXOpen::Tooling::DieEngFormTaskBuilder::SetFinishOperation | ( | bool | finishOperation | ) |
Sets the finish operation option.
Created in NX8.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
finishOperation | finishoperation |
void NXOpen::Tooling::DieEngFormTaskBuilder::SetPointInRegion | ( | NXOpen::Point * | pointInRegion | ) |
Sets the point in region
Created in NX8.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
pointInRegion | pointinregion |
NXOpen::SelectDisplayableObjectList* NXOpen::Tooling::DieEngFormTaskBuilder::ShapeDetail | ( | ) |
Returns the shape detail selection.
Created in NX8.0.0.
License requirements : None